## Index

### Classes

- ExperimentalModule
- ExperimentalService

### Interfaces

- Experiment

### Functions

- EXPERIMENTAL_SERVICE_PROVIDER_FACTORY

### Object literals

- EXPERIMENTAL_SERVICE_PROVIDER

## Functions

### EXPERIMENTAL_SERVICE_PROVIDER_FACTORY

- EXPERIMENTAL_SERVICE_PROVIDER_FACTORY(parentService: ExperimentalService): ExperimentalService

- - Defined in src/experimental/experimental.module.ts:5

  #### Parameters

  - ##### parentService: ExperimentalService

  #### Returns ExperimentalService

## Object literals

### Const EXPERIMENTAL_SERVICE_PROVIDER

EXPERIMENTAL_SERVICE_PROVIDER: object

- Defined in src/experimental/experimental.module.ts:9

### deps

deps: Optional[][] = [[new Optional(), new SkipSelf(), ExperimentalService]]

- Defined in src/experimental/experimental.module.ts:11

### provide

provide: ExperimentalService = ExperimentalService

- Defined in src/experimental/experimental.module.ts:10

### useFactory

useFactory: EXPERIMENTAL_SERVICE_PROVIDER_FACTORY = EXPERIMENTAL_SERVICE_PROVIDER_FACTORY

- Defined in src/experimental/experimental.module.ts:12

Generated using TypeDoc